ExtButton (gCube Templates Portlet 4.4.0-SNAPSHOT API)
Date: 2013-07-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.templates.client.components
Class ExtButton

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.extjs.gxt.ui.client.widget.Component
                  com.extjs.gxt.ui.client.widget.BoxComponent
                      com.extjs.gxt.ui.client.widget.button.Button
                          org.gcube.portlets.user.templates.client.components.ExtButton

All Implemented Interfaces:
  com.extjs.gxt.ui.client.event.Observable, com.extjs.gxt.ui.client.widget.IconSupport, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget

    public class ExtButton

extends com.extjs.gxt.ui.client.widget.button.Button

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.extjs.gxt.ui.client.widget.button.Button
`buttonEl, buttonSelector, icon, menu, scale, template, text`

Fields inherited from class com.extjs.gxt.ui.client.widget.BoxComponent
`adjustSize, cacheSizes, ensureVisibilityOnSizing, height, lastSize, layer, shim, width`

Fields inherited from class com.extjs.gxt.ui.client.widget.Component
`afterRender, attachables, baseStyle, disabled, disabledStyle, disableTextSelection, dummy, focusable, hidden, mask, maskMessage, maskMessageStyleName, monitorWindowResize, rendered, resizeHandler, setElementRender, stateId, swallowEvents, toolTip, windowResizeDelay, windowResizeTask`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`ExtButton(org.gcube.portlets.d4sreporting.common.shared.ComponentType type)`
`ExtButton(String text, com.google.gwt.user.client.ui.AbstractImagePrototype icon, org.gcube.portlets.d4sreporting.common.shared.ComponentType type)`
`ExtButton(String text, com.google.gwt.user.client.ui.AbstractImagePrototype icon, com.extjs.gxt.ui.client.event.SelectionListener<com.extjs.gxt.ui.client.event.ButtonEvent> listener, org.gcube.portlets.d4sreporting.common.shared.ComponentType type)`
`ExtButton(String text, org.gcube.portlets.d4sreporting.common.shared.ComponentType type)`
`ExtButton(String text, com.extjs.gxt.ui.client.event.SelectionListener<com.extjs.gxt.ui.client.event.ButtonEvent> listener, org.gcube.portlets.d4sreporting.common.shared.ComponentType type)`

Method Summary
`org.gcube.portlets.d4sreporting.common.shared.ComponentType` | `getComponentType()`
`void` | `setComponentType(org.gcube.portlets.d4sreporting.common.shared.ComponentType type)`

Methods inherited from class com.extjs.gxt.ui.client.widget.button.Button
`addSelectionListener, afterRender, alignIcon, autoWidth, createComponentEvent, getArrowAlign, getFocusEl, getIcon, getIconAlign, getMenu, getMenuAlign, getMenuClass, getMinWidth, getMouseEvents, getScale, getText, getType, hideMenu, notifyShow, onBlur, onClick, onComponentEvent, onDetach, onDisable, onEnable, onFocus, onKeyPress, onMenuHide, onMenuShow, onMouseDown, onMouseOut, onMouseOver, onMouseUp, onRender, onResize, removeSelectionListener, setAriaState, setArrowAlign, setIcon, setIconAlign, setIconStyle, setMenu, setMenuAlign, setMinWidth, setMouseEvents, setScale, setTabIndex, setText, setType, showMenu`

Methods inherited from class com.extjs.gxt.ui.client.widget.BoxComponent
`adjustPosition, adjustSize, getBounds, getHeight, getHeight, getPosition, getPositionEl, getResizeEl, getShadow, getShadowOffset, getShadowPosition, getSize, getWidth, getWidth, hideShadow, hideShim, hideUnders, isAutoHeight, isAutoWidth, isDeferHeight, isShim, onHide, onPosition, onShow, onUnload, setAutoHeight, setAutoWidth, setBounds, setBounds, setDeferHeight, setHeight, setHeight, setPagePosition, setPagePosition, setPixelSize, setPosition, setShadow, setShadowOffset, setShadowPosition, setShim, setSize, setSize, setWidth, setWidth, sync, syncSize`

Methods inherited from class com.extjs.gxt.ui.client.widget.Component
`addAttachable, addListener, addPlugin, addStyleName, addStyleOnOver, addWidgetListener, applyState, assertAfterRender, assertPreRender, beforeRender, blur, clearState, createObservable, createStyles, disable, disableContextMenu, disableEvents, disableTextSelection, doAttachChildren, doDetachChildren, el, enable, enableEvents, fireEvent, fireEvent, fireEvent, fly, focus, frame, getAriaSupport, getBaseStyle, getBorders, getContextMenu, getData, getElement, getFocusSupport, getHideMode, getId, getItemId, getListeners, getModel, getObservable, getPlugins, getState, getStateId, getTabIndex, getTitle, getToolTip, getWindowResizeDelay, hasListeners, hasListeners, hide, hideToolTip, initState, isDisabledEvents, isDisableTextSelection, isEnabled, isMasked, isMonitorWindowResize, isRendered, isStateful, isVisible, isVisible, mask, mask, mask, notifyHide, onAttach, onBrowserEvent, onDetachHelper, onEnsureDebugId, onHideContextMenu, onLoad, onRightClick, onShowContextMenu, onWindowResize, previewEvent, recalculate, removeAllListeners, removeAttachagle, removeFromParent, removeListener, removeStyleName, removeStyleOnOver, removeSwallow, removeToolTip, removeWidgetListener, render, render, repaint, saveState, setAriaRole, setAriaSupport, setBorders, setContextMenu, setData, setEl, setElement, setElement, setEnabled, setFiresEvents, setHideMode, setId, setIntStyleAttribute, setItemId, setModel, setMonitorWindowResize, setParent, setStateful, setStateId, setStyleAttribute, setStyleName, setTitle, setToolTip, setToolTip, setVisible, setWindowResizeDelay, setZIndex, show, sinkEvents, swallowEvent, swallowEvent, toString, unframe, unmask`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, setLayoutData`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, removeStyleDependentName, resolvePotentialElement, setElement, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtButton

    public ExtButton(org.gcube.portlets.d4sreporting.common.shared.ComponentType type)

### ExtButton

    public ExtButton(String text,
                     com.google.gwt.user.client.ui.AbstractImagePrototype icon,
                     com.extjs.gxt.ui.client.event.SelectionListener<com.extjs.gxt.ui.client.event.ButtonEvent> listener,
                     org.gcube.portlets.d4sreporting.common.shared.ComponentType type)

### ExtButton

    public ExtButton(String text,
                     com.google.gwt.user.client.ui.AbstractImagePrototype icon,
                     org.gcube.portlets.d4sreporting.common.shared.ComponentType type)

### ExtButton

    public ExtButton(String text,
                     com.extjs.gxt.ui.client.event.SelectionListener<com.extjs.gxt.ui.client.event.ButtonEvent> listener,
                     org.gcube.portlets.d4sreporting.common.shared.ComponentType type)

### ExtButton

    public ExtButton(String text,
                     org.gcube.portlets.d4sreporting.common.shared.ComponentType type)

Method Detail

### getComponentType

    public org.gcube.portlets.d4sreporting.common.shared.ComponentType getComponentType()

### setComponentType

    public void setComponentType(org.gcube.portlets.d4sreporting.common.shared.ComponentType type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.